Fatal error[Ms007]:

「RA6T2_MCILV1_SPM_HALL_FOC_E2S_V110」をダウンロードしてきまして

TOOLChainをGCC→IARへ変更した上で、ビルドしてみましたが

rm_motor_currentが開けないと言われてしまいます。

何か設定が抜けているのでしょうか。解決策をご存じの方がいらっしゃいましたらお願い致します。

以下は試してみましたが、ダメでした。

.hex file is not generated for S1JA in E2Studio - Forum - Renesas SynergyTm︎ Platform - Renesas Engineering Community

Parents
  • River様

    どのFSPのバージョンなのか?わかりませんが、特定のバージョンではIARやKeilのコンパイラを使いたい場合、インストールするFSPが別に用意されているようです。Githubの各バージョンのリリースノートに説明がありますのでそれをみてみるのが良いと思います。

    github.com/.../releases



    私も同じボードを購入してモーターを回したいなと悪戦苦闘中です。

Reply
  • River様

    どのFSPのバージョンなのか?わかりませんが、特定のバージョンではIARやKeilのコンパイラを使いたい場合、インストールするFSPが別に用意されているようです。Githubの各バージョンのリリースノートに説明がありますのでそれをみてみるのが良いと思います。

    github.com/.../releases



    私も同じボードを購入してモーターを回したいなと悪戦苦闘中です。

Children
  • Shoji Yamamoto様

    FSPは4.6を使用しております。

    ご教示ありがとうございます。

    Githubより、Renesas RA Smart Configurator 4.6.0をインストールして、作成したコードを

    IAR Embedded Workbench for Arm(9.40.1)でビルドを試みています。

    まだ成功しておりませんが、もう少しトライしてみようと思います。

    また進展ありましたら連絡させて頂きます。

    Shoji Yamamoto様のモータも無事に回る事を願っております。

  • Shoji Yamamoto様

    やりたい事が出来るようになり、無事にモータ回りました。

    あとは、コードの中身を理解して、こちらの仕様に合わせられるように頑張りたいと思います。

    この度はありがとうございました。

  • おお、やりましたね!IARを使っているの羨ましいです。コンパイラによって実性能が結構違うってこの前、オンラインセミナーで聞きました。

    それより標準のe2studioに任意のFSPバージョンが設定できないのか?と言うのが私は気になる。RAマイコンは完全に分けて考えた方がいいんだろうか?ルネサスからのツール提供の状況からするとそんな気がしますが、標準のe2studioでもRA開発は古いFSPバージョンでできるんですよね。モーター用のサンプルプロジェクトは4.6以降を必要としているようですけど。一つのe2studioでRXとRAの両方片付けられるようになるといいんですが。